import { useDeep } from "@deep-foundation/deeplinks/imports/client";
export function useCanByContain(id) {
    const deep = useDeep();
    const { data: [result] } = deep.useQuery({
        id: id,
        up: {
            tree_id: deep.idLocal('@deep-foundation/core', 'containTree'),
            parent: {
                up: {
                    tree_id: deep.idLocal('@deep-foundation/core', 'joinTree'),
                    parent: {
                        down: {
                            tree_id: deep.idLocal('@deep-foundation/core', 'containTree'),
                            link_id: id
                        }
                    }
                }
            },
        },
    });
    return !!result;
}
//# sourceMappingURL=can.js.map